import request from '@/utils/request'
// 查询服务人员列表
export function listUser(query) {
  return request({
    url: '/system/ServiceUser/list',
    method: 'get',
    params: query
  })
}

// 查询服务人员详细
export function getUser(serverId) {
  return request({
    url: '/system/ServiceUser/' + serverId,
    method: 'get'
  })
}

// 新增服务人员
export function addUser(data) {
  return request({
    url: '/system/ServiceUser',
    method: 'post',
    data: data
  })
}

// 修改服务人员
export function updateUser(data) {
  return request({
    url: '/system/ServiceUser',
    method: 'put',
    data: data
  })
}

// 删除服务人员
export function delUser(serverId) {
  return request({
    url: '/system/ServiceUser/' + serverId,
    method: 'delete'
  })
}

// 导出服务人员
export function exportUser(query) {
  return request({
    url: '/system/ServiceUser/export',
    method: 'get',
    params: query
  })
}
